import React from "react";
// import { View } from "react-native";
import Svg, { Path, Circle } from "react-native-svg";

const Picto = ({ style, storeType }) => {
  return (
    <>
    {
      storeType.toLowerCase() === "restaurant" && (
        <Svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <Circle cx="16" cy="16" r="16" fill="#FFCFFF"/>
        <Path d="M13.815 5.60828C13.7945 5.13692 13.6952 4.92334 13.5155 4.92334C13.317 4.92334 13.2178 5.13692 13.1972 5.60828L12.9593 9.37363C12.9593 9.58721 12.8396 9.73819 12.6804 9.73819C12.5418 9.73819 12.422 9.58905 12.422 9.37363L12.1431 5.60828C12.1037 5.11667 12.025 4.92334 11.8453 4.92334C11.6656 4.92334 11.5663 5.11667 11.5475 5.60828L11.2686 9.37363C11.2292 9.58721 11.1094 9.73819 10.9896 9.73819C10.8698 9.73819 10.7518 9.58905 10.7107 9.37363L10.4916 5.60828C10.4523 5.13692 10.3736 4.92334 10.1751 4.92334C9.97655 4.92334 9.89611 5.13692 9.85675 5.60828C9.7575 7.46978 9.53845 9.33128 9.53845 12.327C9.53845 13.0119 9.73696 13.568 10.1152 13.8902L10.8322 14.5107C11.0119 14.6598 11.13 14.9176 11.1111 15.3448L10.8219 25.954C10.8134 26.5708 11.2754 27.0772 11.847 27.0772C12.4203 27.0772 12.8823 26.5672 12.8721 25.9503L12.5623 15.3448C12.5418 14.9158 12.6616 14.6377 12.8413 14.4886L13.5566 13.8902C13.9348 13.5698 14.1538 12.9917 14.1538 12.327C14.1521 9.33128 13.9331 7.46978 13.815 5.60828Z" fill="#B26DB2"/>
        <Path d="M21.2215 15.4475V5.78025C21.2215 4.9702 20.931 4.74927 20.4226 5.05488C19.1213 5.83364 17.8462 9.63351 17.8462 14.2839C17.8462 15.9979 19.6963 15.7659 19.777 16.2778L19.1979 25.9542C19.1878 26.5709 19.7366 27.0772 20.4125 27.0772C21.0884 27.0772 21.5504 26.5672 21.5383 25.9505L21.2215 15.4475Z" fill="#B26DB2"/>
        </Svg>
      )
    }
    {
      storeType.toLowerCase() === "boutique" && (
        <Svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <Circle cx="16" cy="16" r="16" fill="#CFE7FF"/>
        <Path d="M24 8H8V10H24V8ZM25 18V16L24 11H8L7 16V18H8V24H18V18H22V24H24V18H25ZM16 22H10V18H16V22Z" fill="#6699CC"/>
        </Svg>
      )
    }
    {
      storeType.toLowerCase() === "activité" && (
        <Svg width="32" height="32" viewBox="0 0 32 32" fill="none" xmlns="http://www.w3.org/2000/svg">
        <Circle cx="16" cy="16" r="16" fill="#D7FFCF"/>
        <Path d="M16 6.25C10.6239 6.25 6.25 10.6239 6.25 16C6.25 21.3761 10.6239 25.75 16 25.75C21.3761 25.75 25.75 21.3761 25.75 16C25.75 10.6239 21.3761 6.25 16 6.25ZM22.7031 20.5H20.5834C20.5178 20.4999 20.4533 20.4825 20.3964 20.4495C20.3396 20.4166 20.2924 20.3694 20.2595 20.3125L19.503 19.015C19.4532 18.9302 19.4387 18.8292 19.4627 18.7338L20.1592 15.925C20.1732 15.8684 20.2002 15.8158 20.238 15.7715C20.2758 15.7272 20.3235 15.6922 20.3772 15.6695L21.6944 15.1117C21.7587 15.0844 21.8295 15.0757 21.8985 15.0864C21.9676 15.0972 22.0323 15.1271 22.0853 15.1727L24.0367 16.8517C24.0848 16.8931 24.1216 16.9461 24.1437 17.0056C24.1657 17.0651 24.1723 17.1293 24.1628 17.192C24.0012 18.3008 23.6138 19.3646 23.0247 20.3177C22.9914 20.3732 22.9443 20.4192 22.8879 20.4512C22.8316 20.4832 22.7679 20.5 22.7031 20.5ZM10.3056 15.1155L11.6228 15.6733C11.6765 15.696 11.7242 15.7309 11.762 15.7753C11.7998 15.8196 11.8268 15.8722 11.8408 15.9288L12.5373 18.7375C12.5613 18.8329 12.5468 18.9339 12.497 19.0187L11.7405 20.3125C11.7076 20.3694 11.6604 20.4166 11.6036 20.4495C11.5467 20.4825 11.4822 20.4999 11.4166 20.5H9.29688C9.23277 20.5 9.16972 20.4836 9.11375 20.4524C9.05778 20.4211 9.01076 20.376 8.97719 20.3214C8.38804 19.3683 8.00067 18.3045 7.83906 17.1958C7.82956 17.133 7.83614 17.0689 7.8582 17.0094C7.88025 16.9498 7.91705 16.8969 7.96516 16.8555L9.91656 15.1764C9.96938 15.1312 10.0337 15.1015 10.1025 15.0908C10.1712 15.08 10.2415 15.0886 10.3056 15.1155ZM22.3497 11.0261L21.5027 13.4345C21.4856 13.4838 21.4585 13.5289 21.4231 13.5671C21.3877 13.6052 21.3447 13.6356 21.2969 13.6562L19.9103 14.2436C19.8467 14.2705 19.7769 14.2793 19.7085 14.2691C19.6402 14.2588 19.576 14.2299 19.5231 14.1855L16.8859 11.9734C16.8438 11.9386 16.8098 11.8949 16.7863 11.8455C16.7628 11.7961 16.7504 11.7422 16.75 11.6875V10.1134C16.75 10.0518 16.7653 9.99105 16.7944 9.93668C16.8235 9.8823 16.8656 9.83595 16.9169 9.80172L18.9245 8.46391C18.9769 8.42893 19.0373 8.40772 19.1 8.40224C19.1628 8.39675 19.2259 8.40716 19.2836 8.4325C20.4388 8.93634 21.464 9.69685 22.2812 10.6562C22.3242 10.7064 22.3532 10.767 22.3652 10.832C22.3772 10.8969 22.3719 10.9639 22.3497 11.0261ZM13.075 8.46391L15.0831 9.80172C15.1344 9.83595 15.1765 9.8823 15.2056 9.93668C15.2347 9.99105 15.25 10.0518 15.25 10.1134V11.6875C15.25 11.7423 15.238 11.7964 15.2148 11.846C15.1917 11.8957 15.1579 11.9396 15.1159 11.9748L12.4788 14.1869C12.4258 14.2313 12.3617 14.2602 12.2933 14.2705C12.225 14.2807 12.1552 14.2719 12.0916 14.245L10.7031 13.6562C10.655 13.6359 10.6117 13.6057 10.5759 13.5676C10.5402 13.5295 10.5128 13.4843 10.4955 13.435L9.64844 11.0266C9.62643 10.9641 9.62134 10.897 9.63369 10.8319C9.64604 10.7669 9.67538 10.7063 9.71875 10.6562C10.5365 9.69589 11.5625 8.9347 12.7188 8.43062C12.7762 8.40605 12.8389 8.39623 12.9011 8.40204C12.9633 8.40785 13.0231 8.42912 13.075 8.46391ZM13.8864 23.8136L12.9616 21.4844C12.9404 21.4314 12.9316 21.3744 12.9358 21.3175C12.9401 21.2606 12.9572 21.2055 12.9859 21.1562L13.697 19.9375C13.7299 19.8806 13.7771 19.8334 13.8339 19.8005C13.8908 19.7675 13.9553 19.7501 14.0209 19.75H17.9791C18.0447 19.7501 18.1092 19.7675 18.1661 19.8005C18.2229 19.8334 18.2701 19.8806 18.303 19.9375L19.0145 21.1562C19.0433 21.2055 19.0606 21.2606 19.0649 21.3174C19.0692 21.3743 19.0605 21.4314 19.0394 21.4844L18.1211 23.8127C18.0986 23.8696 18.0626 23.9201 18.0161 23.9599C17.9696 23.9997 17.9141 24.0275 17.8544 24.0409C16.6358 24.3206 15.3698 24.3206 14.1512 24.0409C14.092 24.0274 14.0369 23.9996 13.9908 23.96C13.9446 23.9204 13.9088 23.8701 13.8864 23.8136Z" fill="#6AB25B"/>
        </Svg>
      )
    }
    </>
  )
}
    {/* <Svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
        <Path d="M9.815 1.60779C9.79446 1.13644 9.69521 0.922852 9.51552 0.922852C9.31701 0.922852 9.21775 1.13644 9.19722 1.60779L8.95935 5.37314C8.95935 5.58672 8.83956 5.7377 8.68041 5.7377C8.54179 5.7377 8.422 5.58856 8.422 5.37314L8.14306 1.60779C8.1037 1.11618 8.02498 0.922852 7.84529 0.922852C7.6656 0.922852 7.56635 1.11618 7.54752 1.60779L7.26858 5.37314C7.22922 5.58672 7.10943 5.7377 6.98964 5.7377C6.86985 5.7377 6.75177 5.58856 6.71069 5.37314L6.49165 1.60779C6.45229 1.13644 6.37357 0.922852 6.17506 0.922852C5.97655 0.922852 5.89611 1.13644 5.85675 1.60779C5.7575 3.46929 5.53845 5.33079 5.53845 8.32649C5.53845 9.01144 5.73696 9.56749 6.11516 9.88971L6.8322 10.5102C7.01188 10.6593 7.12996 10.9171 7.11114 11.3443L6.82193 21.9535C6.81337 22.5704 7.27542 23.0767 7.847 23.0767C8.42029 23.0767 8.88234 22.5667 8.87207 21.9499L8.56232 11.3443C8.54179 10.9153 8.66158 10.6373 8.84127 10.4881L9.55659 9.88971C9.93479 9.56933 10.1538 8.99118 10.1538 8.32649C10.1521 5.33079 9.93308 3.46929 9.815 1.60779Z" fill="#7683E2"/>
        <Path d="M17.2215 11.447V1.77976C17.2215 0.969709 16.931 0.748787 16.4225 1.0544C15.1212 1.83315 13.8462 5.63302 13.8462 10.2834C13.8462 11.9974 15.6962 11.7655 15.7769 12.2773L15.1979 21.9537C15.1878 22.5704 15.7366 23.0767 16.4125 23.0767C17.0883 23.0767 17.5503 22.5667 17.5382 21.95L17.2215 11.447Z" fill="#7683E2"/>
    </Svg> */}

export default Picto;